Create balance [Beta]

Register a balance for an interest-bearing account using a previously configured interest plan to determine applicable interest rates.

This endpoint generates an Interest balance succeeded event when the balance is created successfully.
This endpoint generates an Interest balance failed event when balance operation fails.

The event payload includes: program_id, balance_id, account_id, interest_plan_id, balance, start_cycle_date, value_date, maturity_date, and trigger_reason. The optional field external_account_id is included in the event only when present in the request. The division fields division_id and division_code are included in the event only when a non-default division is provided. They are omitted when division_id is DEFAULT_DIVISION or the value is null.

The optional field external_account_id is only returned in the response when present in the request.

The optional field trigger_reason indicates why the balance registration is being triggered. When omitted or null, it defaults to CYCLE_CLOSING. RETROACTIVE_CYCLE_CLOSING is only valid when value_date is before the current date. Otherwise, the request is rejected with a 400 error.

balance_id must be a valid UUID. Alphabetical characters are accepted in either case on input, but are converted to lowercase in the response.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Requested body of authorization

string
required
length ≤ 36

Unique identifier for the balance, generated by the client. Must be a valid UUID. Alphabetical characters are accepted in either case on input, but are converted to lowercase in the response.

string
length ≤ 64

Division ID. When not provided, defaults to DEFAULT_DIVISION internally.

string
length between 1 and 36

Optional division code. When provided, must be between 1 and 36 characters.

string
required

Account ID. Must be between 1 and 64.

string
length ≤ 60

External account ID managed by the requester

string
required
length between 36 and 36

Interest plan ID generated during the plan's creation. Must be an alphanumeric UUID with the alphabetical characters in lowercase.

double
required
≥ 0

Balance amount. Must be equal to or greater than zero.

date
required

Start of the interest cycle. Format = YYYY-MM-DD.

date
required

Deposit date. Format = YYYY-MM-DD.

date
required

Deposit maturity date. Format = YYYY-MM-DD.

string
enum
Defaults to CYCLE_CLOSING

Reason that triggers the balance registration. Defaults to CYCLE_CLOSING when omitted or null. RETROACTIVE_CYCLE_CLOSING requires value_date to be before the current day. Otherwise, the request is rejected with a 400 error.

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json